#include "../include/DiscordAPI.h"

DiscordAPI::DiscordAPI(String hookUrl){
    this->hookUrl = hookUrl;

    this->httpClient = new HTTPClient();
    this->wifiClient = new BearSSL::WiFiClientSecure;
    this->wifiClient->setInsecure();

    randomSeed(analogRead(A0));
}

bool DiscordAPI::sendMessage(String trame){
    bool sortie = true;

    if(WiFi.status() != WL_CONNECTED){
        return false;
    }

    this->httpClient->begin(*this->wifiClient, this->hookUrl);
    this->httpClient->addHeader("Content-Type", "application/json");

    int resp = this->httpClient->POST(trame);
    if(resp != 204){
        sortie = false;
        Serial.print("sending message error code : ");
        Serial.println(resp);
    }
    this->httpClient->end();
    return sortie;
}


bool DiscordAPI::sendHeure(String hStart, String hEnd){
    int color = random(16777215);
    String trame = "{\"embeds\": [{\"title\": \"Le Lab est ouvert !\",\"description\": \"Le Lab est ouvert de **"+ hStart +"** à **"+ hEnd +"**\",\"color\": \"" + color + "\"}]}";
    return this->sendMessage(trame);
}
